List Stream Config
curl --request GET \
--url https://streaming.lingopal.ai/v1/streams/configs \
--header 'X-API-Key: <api-key>'import requests
url = "https://streaming.lingopal.ai/v1/streams/configs"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://streaming.lingopal.ai/v1/streams/configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Streams
List Stream Config
This api is used to list stream configs of previously run stream.
GET
/
v1
/
streams
/
configs
List Stream Config
Description
This endpoint lists configurations for previously run streams. Use this to review or compare settings across multiple streams. See the Quickstart guide for usage context.Authentication
This endpoint requires an API Key.Include your API key in the
x-api-key header:
x-api-key: YOUR_API_KEY
Request
- Method: GET
- Endpoint:
/v1/streams/configs - Query Parameters:
page(integer, optional, default: 1): Page numberpage_size(integer, optional, default: 10): Number of items per page
Response
- Status: 200 OK
- Content-Type:
application/json
"string"
Example Usage (cURL)
curl -X GET "https://streaming.lingopal-dev.com/v1/streams/configs?page=1&page_size=10" \
-H "x-api-key: YOUR_API_KEY"